!RENAME 1 !ARG  1 2 3 #CHANGE 1 TO 2 OR 3 FOR OTHER PARTS
Multivariate Sire & Dam 
!DOPATH $1 
tag
sire   92 !I
dam  3561 !I
grp    49
sex
brr     4
litter 4871
age 
wwt   !M0 # !M0 identifies missing values
ywt   !M0    
gfw   !M0 
fdm   !M0 
fat   !M0
!PATH 1    // coop.fmt   
!PATH 2    // coop.fmt !CONTINUE coopms1.rsv # uses initial values from previous .rsv file
!PATH 3    // coop.fmt !CONTINUE coopms2.rsv # uses initial values from previous .rsv file

!PATH 0  #USING SUBSET TO SET UP COMBINATIONS OF TRAITS USED IN MODEL
!SUBSET TrDam123 Trait 1 2 3 0 0
!SUBSET TrLit1234 Trait 1 2 3 4 0
!SUBSET TrAG1245 Trait 1 2 4 5
!SUBSET TrSG123 Trait 1 2 3 0 0



#USING !ASSIGN TO MAKE SPECIFICATION CLEARER
#ASSIGN SIRE DAM  LITTER AND RESIDUAL INITIAL VALUES FROM UNIVARIATE ANALYSES
!ASSIGN SDIAGI  0.608 1.298 0.015 0.197 0.035 !GP #Initial sire variances
!ASSIGN DDIAGI  2.2 4.14 0.018 !GP
!ASSIGN LDIAGI  3.74 0.97 0.019 0.941 !GP
!ASSIGN RUSI !< 9.27 0.0 16.48 0.0 0.0 0.14 
0.0 0.0 0.0 3.37 0.0 0.0 0.0 0.0 1.14   !>


!ASSIGN VARS !<
 TrAG1245.age.grp,
 TrSG123.sex.grp    !>
 


!PART 1 #DIAGONAL FOR SIRE DAM AND LITTER UNSTRUCTURED FOR RESIDUAL
wwt ywt gfw fdm fat  ~ Trait Trait.age Trait.brr Trait.sex Trait.age.sex !r $VARS,
Trait.sire TrDam123.dam TrLit1234.lit ,
!f Trait.grp
1 2 5     #1 R STRUCTURE WITH 2 COMPONENTS AND 5 G STRUCTURES
0 0 0 #INDEPENDENT ACROSS ANIMALS 
Trait 0 US  !GP  #UNSTRUCTURED TRAIT MATRIX INITIAL VALUES FROM UNIVARIATE ANALYSES
 $RUSI
TrAG1245.age.grp 2
TrAG1245  0 DIAG  0.0024 0.0019 0.0020 0.00026
age.grp 0 ID
TrSG123.sex.grp 2    
TrSG123 0 DIAG  0.93 16.0 0.28
sex.grp 0 ID
Trait.sire 2
Trait 0 DIAG $SDIAGI
sire 0 ID 
TrDam123.dam 2
TrDam123 0 DIAG $DDIAGI
dam 0 ID
TrLit1234.lit 2
TrLit1234 0 DIAG $LDIAGI 
lit 0 ID    

!PART 2 #CHANGE DIAGONAL TO XFA1 FOR SIRE DAM AND LITTER 
wwt ywt gfw fdm fat ~ Trait Trait.age Trait.brr Trait.sex Trait.age.sex !r $VARS,
xfa(Trait,1).sire xfa(TrDam123,1).dam xfa(TrLit1234,1).lit ,
!f Trait.grp 
1 2 5     #1 R STRUCTURE WITH 2 COMPONENTS AND 5 G STRUCTURES
0 0 0 #INDEPENDENT ACROSS ANIMALS 
Trait 0 US   * !GP
TrAG1245.age.grp 2
TrAG1245  0 DIAG  0.0024 0.0019 0.0020 0.00026
age.grp 0 ID
TrSG123.sex.grp 2    
TrSG123 0 DIAG  0.93 16.0 0.28
sex.grp 0 ID
xfa(Trait,1).sire 2
xfa(Trait,1) 0 XFA1  * !GP
sire 0 ID 
xfa(TrDam123,1).dam 2
xfa(TrDam123,1) 0 XFA1 * !GP
dam 0 ID
xfa(TrLit1234,1).lit 2
xfa(TrLit1234,1) 0 XFA1 * !GP
lit 0 ID    
!PART 3 #CHANGE XFA1 TO UNSTRUCTURED FOR SIRE AND LITTER 
wwt ywt gfw fdm fat ~ Trait Trait.age Trait.brr Trait.sex Trait.age.sex !r $VARS,
Trait.sire xfa(TrDam123,1).dam TrLit1234.lit ,
!f Trait.grp 
1 2 5     #1 R STRUCTURE WITH 2 COMPONENTS AND 5 G STRUCTURES
0 0 0 #INDEPENDENT ACROSS ANIMALS 
Trait 0 US   * !GP
TrAG1245.age.grp 2
TrAG1245  0 DIAG  0.0024 0.0019 0.0020 0.00026
age.grp 0 ID
TrSG123.sex.grp 2    
TrSG123 0 DIAG  0.93 16.0 0.28
sex.grp 0 ID
Trait.sire 2
Trait 0 US * !GP
sire 0 ID 
xfa(TrDam123,1).dam 2
xfa(TrDam123,1) 0 XFA1 * !GP
dam 0 ID
TrLit1234.lit 2
TrLit1234 0 US * !GP
lit 0 ID
!PART 3 #WORK OUT FUNCTIONS OF PARAMETERS
VPREDICT !DEFINE
X Damv  xfa(TrDam123,1) # defines 54:59
F phenWYG Residual[1:6]+sire[1:6]+TrLit1234.lit[1:6]+xfa(TrDam123,1).dam
# defines 60:65=          1:6 +             23:28 +                 44:49 + 54:59 
F phenD  Residual[7:10]+Trait.sire[7:10]+ TrLit1234.lit[7:10]
# defines 66:69=         7:10 +              29:32 +                  50:53 
F phenF  Residual[11:15]+Trait.sire[11:15]
# defines 70:74=         11:15 +               33:37 
F Direct Trait.sire *4.                #defines  75: 89= 23:37 * 4. 
F Maternal Damv -Trait[1:6]       #defines  90: 95= 54:59 - 23:28   
F residWYG phenWYG - Trait.sire[1:6]    #defines  96:101= 60:65 - 23:28
F residWYG phenD - Trait.sire[7:10]     #defines 102:105= 66:69 - 29:32
F residWYG phenF - Trait.sire[11:15]    #defines 106:110= 70:74 - 33:37
                                            #defines  96:110= 60:74 - 23-37
H WWTh2 Direct[1]  phenWYG[1]  # 75 60
H YWTh2 Direct[3]  phenWYG[3]  # 77 62
H GFWh2 Direct[6]  phenWYG[6]  # 80 65
H FDMh2 Direct[10] phenD[4]    # 84 69
H FATh2 Direct[15] phenF[5]    # 89 74
R GenCor Trait.sire       # 23:37
R MatCor Maternal              # 90:95




