#!RENAME 1 !ARG 1 2 3 4 5  #CHANGE 1 TO 2,3,4 OR 5 FOR OTHER PATHS
!work 1 !ARG 5  #CHANGE 1 TO 2,3,4 OR 5 FOR OTHER PATHS
Multivariate Animal model 
!DOPART $1
tag !P
sire   92 !I
dam  !P
grp    49
sex
brr     4
litter 4871
age 
wwt   !M0 # !M0 identifies missing values
ywt   !M0    
gfw   !M0 
fdm   !M0 
fat   !M0 
pcoop.fmt # read pedigree from first three fields
!PART 1  //  pcoop.fmt      
!PART 2  //  pcoop.fmt !CONTINUE pcoops1.rsv !MAXI  40
!PART 3  //  pcoop.fmt !CONTINUE pcoops2.rsv !MAXI  40
!PART 4  //  pcoop.fmt !CONTINUE pcoops2.rsv !MAXI  40
!PART 5  //  pcoop.fmt !CONTINUE pcoops4.rsv !MAXI  40




!PART 0 #USING SUBSET TO ALLOW EASY TRAIT ASSOCIATION WITH FACTORS IN MODEL
!SUBSET TrDam12 Trait 1 2 0 0 0
!SUBSET TrLit1234 Trait 1 2 3 4 0
!SUBSET TrAG1245 Trait 1 2 4 5
!SUBSET TrSG123 Trait 1 2 3 0 0
!SUBSET TrDa123  Trait 1 2 3 0 0


#USING !ASSIGN TO MAKE SPECIFICATION CLEARER
!ASSIGN TDIAGI  2.3759    6.2256        0.60075E-01   0.63086    0.13069  !GP
!ASSIGN DDIAGI  2.1584    2.3048 !GP
!ASSIGN LDIAGI  3.55265   2.55777 0.191238E-01   0.897272 !GP                                
!ASSIGN RUSI    !< !GP
 13.390        9.0747      17.798 0.31961 0.87272 0.13452       
0.71374    1.4028  0.23141  4.0677  0.72812  2.0831  0.75977E-01  0.25782 1.5337  !>      

!ASSIGN VARS TrAG1245.age.grp TrSG123.sex.grp    
!PATH 1           #USING DIAG FOR TAG,DAM AND LIT US FOR RESIDUAL
wwt ywt gfw fdm fat ~ Trait Trait.age Trait.brr Trait.sex Trait.age.sex !r $VARS,
Trait.tag TrDam12.dam TrLit1234.lit ,
!f Trait.grp 
1 2 5     #1 R STRUCTURE WITH 2 COMPONENTS AND 5 G STRUCTURES
0 0 0 #INDEPENDENT ACROSS ANIMALS 
Trait 0 US  $RUSI    #UNSTRUCTURED TRAIT MATRIX INITIAL VALUES FROM UNIVARIATE ANALYSES

TrAG1245.age.grp 2
TrAG1245  0 DIAG  0.0024 0.0019 0.0020 0.00026
age.grp 0 ID
TrSG123.sex.grp 2    
TrSG123 0 DIAG  0.93 16.0 0.28
sex.grp 0 ID
Trait.tag 2
Trait 0 DIAG $TDIAGI 
tag 0  AINV 
TrDam12.dam 2
TrDam12 0 DIAG $DDIAGI
dam 0  AINV
TrLit1234.lit 2
TrLit1234 0 DIAG $LDIAGI 
lit 0 ID    


!PATH 2    #USING XFA1 FOR TAG,DAM AND LIT US FOR RESIDUAL
wwt ywt gfw fdm fat !SIGMAP ~ Trait Trait.age Trait.brr Trait.sex Trait.age.sex !r $VARS,
xfa(Trait,1).tag xfa(TrDam12,1).dam xfa(TrLit1234,1).lit ,
!f Trait.grp
1 2 5     
0 0 0  
Trait 0 US $RUSI   
TrAG1245.age.grp 2
TrAG1245  0 DIAG  0.0024 0.0019 0.0020 0.00026
age.grp 0 ID
TrSG123.sex.grp 2    
TrSG123 0 DIAG  0.93 16.0 0.28
sex.grp 0 ID
xfa(Trait,1).tag 2
xfa(Trait,1) 0 XFA1 * !GP
tag 0  AINV 
xfa(TrDam12,1).dam 2 
xfa(TrDam12,1) 0 XFA1 * !GP
dam 0 AINV
xfa(TrLit1234,1).lit 2 
xfa(TrLit1234,1) 0 XFA1 * !GP
lit 0 ID

!PATH 3
wwt ywt gfw fdm fat ~ Trait Trait.age Trait.brr Trait.sex Trait.age.sex !r $VARS,
Trait.tag xfa(TrDam12,1).dam TrLit1234.lit ,
!f Trait.grp 
1 2 5     
0 0 0  
Trait 0 US * !GP  
TrAG1245.age.grp 2
TrAG1245  0 DIAG  0.0024 0.0019 0.0020 0.00026
age.grp 0 ID
TrSG123.sex.grp 2    
TrSG123 0 DIAG  0.93 16.0 0.28
sex.grp 0 ID
Trait.tag 2
Trait 0 US * !GP
tag 0  AINV 
xfa(TrDam12,1).dam 2 
xfa(TrDam12,1) 0 XFA1 * !GP
dam 0 AINV
TrLit1234.lit 2
TrLit1234 0 US * !GP
lit 0 ID    

!PATH 4 
wwt ywt gfw fdm fat ~ Trait Trait.age Trait.brr Trait.sex Trait.age.sex !r $VARS,
xfa(Trait,2).tag xfa(TrDam12,1).dam TrLit1234.lit ,
!f Trait.grp
1 2 5     
0 0 0  
Trait 0 US * !GP 
TrAG1245.age.grp 2
TrAG1245  0 DIAG  0.0024 0.0019 0.0020 0.00026
age.grp 0 ID
TrSG123.sex.grp 2    
TrSG123 0 DIAG  0.93 16.0 0.28
sex.grp 0 ID
xfa(Trait,2).tag 2
xfa(Trait,2) 0 XFA2 * !GP
tag 0  AINV 
xfa(TrDam12,1).dam 2
xfa(TrDam12,1) 0 XFA1 * !GP 
dam 0 AINV
TrLit1234.lit 2
TrLit1234 0 US * !GP
lit 0 ID    

!PATH 5
wwt ywt gfw fdm fat ~ Trait Trait.age Trait.brr Trait.sex Trait.age.sex !r $VARS,
xfa(Trait,3).tag xfa(TrDam12,1).dam TrLit1234.lit ,
!f Trait.grp 
1 2 5     
0 0 0  
Trait 0 US  * !GP
TrAG1245.age.grp 2
TrAG1245  0 DIAG  0.0024 0.0019 0.0020 0.00026
age.grp 0 ID
TrSG123.sex.grp 2    
TrSG123 0 DIAG  0.93 16.0 0.28
sex.grp 0 ID
xfa(Trait,3).tag 2
xfa(Trait,3) 0 XFA3 * !GP
tag 0  AINV 
xfa(TrDam12,1).dam 2
xfa(TrDam12,1) 0 XFA1 * !GP
dam 0 AINV
TrLit1234.lit 2
TrLit1234 0 US * !GP
lit 0 ID  
